<?php
if ( post_password_required() ) {
  return;
}
?>
<div class="ps-blog-comment">
  <h3><?php
  printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'noucake' ),
          number_format_i18n( get_comments_number() ), get_the_title() );
  ?></h3>
  <div class="ps-comment">
    <?php if ( have_comments() ) : ?>
      <?php wp_list_comments(array('callback' => 'noubakery_comment_callback', 'short_ping' => true, 'style' => 'div')); ?>
      <?php 
      the_comments_pagination( array(
        'prev_text' => '<i class="fa fa-angle-left" aria-hidden="true"></i>',
        'next_text' => '<i class="fa fa-angle-right" aria-hidden="true"></i>',
      ) );
      ?>
    <?php endif; ?>  

    <?php
    // If comments are closed and there are comments, let's leave a little note, shall we?
    if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
      <div class="alert alert-info woocommerce-info">
        <p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'noucake' ); ?></p>
      </div>
    <?php endif; ?>
  </div>
</div>

<!-- Comment Form -->
<div class="ps-contact">
  <?php
  $commenter = wp_get_current_commenter();
  $fields = array(
    'author' =>
      '<div class="form-group">
        <input id="author" class="form-control" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" 
        size="30" placeholder="' . esc_html__('Your name', 'noucake') . '" required aria-required="true" />
      </div>',

    'email' =>
      '<div class="form-group">
        <input id="email" class="form-control" name="email" type="email" value="' . esc_attr( $commenter['comment_author_email'] ) . '" 
        size="30" placeholder="E-mail" required aria-required="true" />
      </div>',

    'url' =>
      '<div class="form-group">
        <input id="url" class="form-control" name="url" type="url" placeholder="' . esc_html__('Website', 'noucake') . '" 
        value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />
      </div>',
  ); 
  
  $args = array(
    'id_form'           => 'commentform',
    'class_form'        => 'comment-form',
    'id_submit'         => 'submit',
    'class_submit'      => 'submit',
    'name_submit'       => 'submit',
    'title_reply'       => esc_html__( 'Leave a comment', 'noucake' ),
    'title_reply_to'    => esc_html__( 'Leave a Reply to %s', 'noucake' ),
    'cancel_reply_link' => esc_html__( 'Cancel Reply', 'noucake' ),
    'format'            => 'xhtml',
    'comment_field'     => '<div class="form-group">
                             <textarea class="form-control" name="comment" id="comment" 
                             aria-required="true" placeholder="' . esc_html__('Comment', 'noucake') . '" rows="6"></textarea>
                           </div>',
    'must_log_in'       => '',
    'logged_in_as'      => '',
    'comment_notes_before' => '',
    'comment_notes_after'  => '',
    'submit_button'     => '<button type="submit" id="%2$s" name="%1$s" class="%3$s ps-btn ps-btn--sm ps-contact__submit">%4$s</button>',
    'submit_field'      => '<div class="form-group">%1$s %2$s</div>',
    'fields'            => apply_filters( 'comment_form_default_fields', $fields ),
  );
  
  comment_form($args); 
  ?>
</div>