<?php
/**
* Autoload class 
*
* @package inc/autoloader
* @author nouthemes [nouthemes@gmail.com]
*/
defined( 'ABSPATH' ) OR exit;

if( !class_exists('Noubakery_Theme_Autoloader') ){


	class Noubakery_Theme_Autoloader 
	{

		/**
		 * Autoloader load method. Load the class.
		 *
		 * @param $class_name
		 */
		public function load( $class_name ) 
		{

			if ( 0 === strpos( $class_name, 'Noubakery_Theme_' ) ) {

				// String to lower
				$class_name = strtolower( $class_name );

				// Format file name
				$file_name = 'class.noubakery-theme-' . str_ireplace( '_', '-', str_ireplace( 'Noubakery_Theme_', '', $class_name ) ) . '.php';
				
				// Setup the file path
				$file_path = '/inc/classes/';

				if ( 0 === strpos( $class_name, 'noubakery_theme_widget_' ) ) {
					$file_path .= 'widgets/';
				}

				// Append file name to clas path
				$file_path .= $file_name;

				// Check & load file
				if ( file_exists( get_template_directory(). $file_path ) ) {
					require_once( get_template_directory(). $file_path );
				}

			}

		}

	}

}