<?php
/**
* Add scripts
*
* @author nouthemes [nouthemes@gmail.com] 
* @since 1.0
*/ 

class Noubakery_Theme_Scripts
{
	
	

	public static function enqueue()
	{
		add_action( 'wp_enqueue_scripts', array( __CLASS__, 'frontend_script' ), 1000000 );
		add_action( 'customize_preview_init', array(__CLASS__, 'customizer_live_preview') );
	}

	public static function customizer_live_preview()
	{
		wp_enqueue_script( 'bakery-customize-preview', get_theme_file_uri( '/assets/js/bakery-customizer.js' ), array( 'customize-preview' ), '1.0', true );
	}

	/**
	* Add CSS vs JQuery Frontend
	* 
	* @author nouthemes [nouthemes@gmail.com] 
	* @since 1.0
	*/
	public static function frontend_script()
	{

		$protocol 		= is_ssl() ? 'https' : 'http';
		$custom_fonts 	= self::fonts_url();
		$lazy_loading 	= noubakery_noubakery_cs_get_option('noubakery_lazy');
		$loader_enabled = noubakery_noubakery_cs_get_option('noubakery_loader');

		if(!empty($custom_fonts)){
			wp_enqueue_style( 'noubakery-custom-fonts', esc_url(self::fonts_url()), array(), NOUBAKERY_VER, 'all' );
		}
		
		wp_enqueue_style( 'font-awesome', NOUBAKERY_ASSETS . '/plugins/font-awesome/css/font-awesome.min.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'jquery-bar-rating', NOUBAKERY_ASSETS . '/plugins/jquery-bar-rating/dist/themes/fontawesome-stars.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'ps-icon', NOUBAKERY_ASSETS . '/plugins/ps-icon/ps-icon.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'bootstrap', NOUBAKERY_ASSETS . '/plugins/bootstrap/dist/css/bootstrap.min.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'owl-carousel', NOUBAKERY_ASSETS . '/plugins/owl-carousel/assets/owl.carousel.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'Magnific-Popup', NOUBAKERY_ASSETS . '/plugins/Magnific-Popup/dist/magnific-popup.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'bootstrap-datetimepicker', NOUBAKERY_ASSETS . '/plugins/bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'slick', NOUBAKERY_ASSETS . '/plugins/slick/slick/slick.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'animate', NOUBAKERY_ASSETS . '/plugins/animate.css/animate.min.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'lightGallery', NOUBAKERY_ASSETS . '/plugins/lightGallery-master/dist/css/lightgallery.min.css', array(), NOUBAKERY_VER, 'all' );
		wp_enqueue_style( 'noubakery-style', NOUBAKERY_CSS . '/style.css', array(), NOUBAKERY_VER, 'all' );

		wp_enqueue_style( 'noubakery-main', get_stylesheet_uri(), array('noubakery-style'), NOUBAKERY_VER, 'all' );
		
		if(class_exists('Woocommerce')){
			if(!is_account_page()){
				if(empty($_GET['key'])){
					wp_dequeue_style('woocommerce-general');
					wp_dequeue_style('woocommerce-layout');
				}
			}
		}

		wp_enqueue_script( 'bootstrap', NOUBAKERY_ASSETS . '/plugins/bootstrap/dist/js/bootstrap.min.js', array('jquery'), NOUBAKERY_VER, true );
		wp_enqueue_script( 'owl-carousel', NOUBAKERY_ASSETS . '/plugins/owl-carousel/owl.carousel.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'bootstrap-notify', NOUBAKERY_JS . '/bootstrap-notify.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'overflow-text', NOUBAKERY_ASSETS . '/plugins/overflow-text.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'lightGallery', NOUBAKERY_ASSETS . '/plugins/lightGallery-master/dist/js/lightgallery-all.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'masonry');
		wp_enqueue_script( 'imagesloaded' );

		// Only enqueue lazy loading script if the option is enabled
		// Load it earlier in the page to prevent layout shifts
		if($lazy_loading){
			wp_enqueue_script( 'lazy-loading', NOUBAKERY_JS. '/lazy-loading.js', array('jquery'), NOUBAKERY_VER, false );
		}

		wp_enqueue_script( 'jquery-bar-rating', NOUBAKERY_ASSETS . '/plugins/jquery-bar-rating/dist/jquery.barrating.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'jquery-nice-select', NOUBAKERY_ASSETS . '/plugins/jquery-nice-select/js/jquery.nice-select.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'Magnific-Popup', NOUBAKERY_ASSETS . '/plugins/Magnific-Popup/dist/jquery.magnific-popup.min.js', array(), NOUBAKERY_VER, true );

		wp_enqueue_script( 'noubakery-custom-UI', NOUBAKERY_ASSETS . '/plugins/noubakery-custom/noubakery-custom-ui.js', array(), NOUBAKERY_VER, true );

		wp_enqueue_script( 'moment', NOUBAKERY_ASSETS . '/plugins/moment.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'bootstrap-datetimepicker', NOUBAKERY_ASSETS . '/plugins/bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'slick', NOUBAKERY_ASSETS . '/plugins/slick/slick/slick.min.js', array(), NOUBAKERY_VER, true );
		wp_enqueue_script( 'noubakery-maps', NOUBAKERY_ASSETS . '/plugins/lazy-loading-google-maps/jquery.lazy-load-google-maps.js', array('jquery'), NOUBAKERY_VER, true );
		wp_enqueue_script( 'matchHeight', NOUBAKERY_ASSETS . '/plugins/matchHeight/jquery.matchHeight.js', array('jquery'), NOUBAKERY_VER, true );
		
		
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
		
		wp_enqueue_script('wc-add-to-cart-variation');
		wp_enqueue_script( 'main', NOUBAKERY_JS. '/main.js', array(), NOUBAKERY_VER, true );


		wp_enqueue_script( 'html5shiv', NOUBAKERY_JS.'/html5shiv.js', array('jquery'), NOUBAKERY_VER, false );
		wp_script_add_data( 'html5shiv', 'conditional', 'lt IE 9' );

		wp_enqueue_script( 'html5-respond', NOUBAKERY_JS.'/respond.min.js', array('jquery'), NOUBAKERY_VER, false );
		wp_script_add_data( 'html5-respond', 'conditional', 'lt IE 9' );

		self::custom_style();

		wp_localize_script( 'bootstrap', 'noubakery_theme_params', array(
			'home_url' 				=> esc_url( home_url('/') ),
			'ajax_url' 				=> esc_url( admin_url( 'admin-ajax.php' ) ),
			'ajax_nonce' 			=> wp_create_nonce( 'noubakery-theme-nonce' ),
			'menu_desktop_fixed' 	=> noubakery_noubakery_cs_get_option('noubakery_menu_fixed_desktop') ? 'yes' : 'no',
			'lazy_loading' 			=> $lazy_loading ? 'yes' : 'no',
			'loader_enabled'        => $loader_enabled ? 'yes' : 'no',
			'warning_text' 			=> esc_html__('Warning!', 'noucake'),
			'success_text' 			=> esc_html__('Success!', 'noucake'),
			'error_text' 			=> esc_html__('Error!', 'noucake'),
			'email_empty_text' 		=> esc_html__('Email is required. Please fill email field.', 'noucake'),
			'email_invalid_text' 	=> esc_html__('Email is invalid.', 'noucake'),
			'notify_delay' 			=> noubakery_noubakery_cs_get_option('noubakery_notify_timeout', '3000'),
			'map_marker' 			=> noubakery_noubakery_cs_get_option('noubakery_contact_map_marker', esc_url(NOUBAKERY_IMG.'/marker.png')),
			'map_api' => noubakery_noubakery_cs_get_option('noubakery_contact_api', 'AIzaSyAx39JFH5nhxze1ZydH-Kl8xXM3OK4fvcg'),
			'name_empty_text' 		=> esc_html__('First name is required. Please fill this field.', 'noucake'),
			'required_empty_text' 	=> esc_html__('Please fill all required fields.', 'noucake'),
			'content_empty_text' 	=> esc_html__('Message is required. Please fill this field.', 'noucake'),
			'send_email_success_text' => esc_html__('Email has send successfully.', 'noucake'),
			'quick_order_success_text' => esc_html__('Thanks you, your order has been successfully.', 'noucake'),
			'quick_order_fail_text' => esc_html__('Order has failed, please contact administrator.', 'noucake'),
			'send_email_fail_text' 	=> esc_html__('Email has send fail.', 'noucake'),
			'btn_contact_text' 	=> esc_html__('Submit', 'noucake'),
			'btn_quick_order_text' 	=> esc_html__('Order Bakery Now', 'noucake'),
			'btn_send_message_text' 	=> esc_html__('Send Message', 'noucake'),
			'added_to_cart_text' => esc_html__('Product has been added to your cart.', 'noucake'),
			'compare_page_url' => get_permalink(noubakery_noubakery_cs_get_option('noubakery_shop_compare_page_id')),
			'wishlist_page_url' => get_permalink(noubakery_noubakery_cs_get_option('noubakery_shop_wishlist_page_id')),
			'date_time_format' => noubakery_noubakery_cs_get_option('noubakery_date_format', 'MM/DD/YYYY hh:mm'),
			'subscribe_popup_delay' => noubakery_noubakery_cs_get_option('noubakery_subscribe_delay', 10000),
			'single_enable_lightbox' => noubakery_noubakery_cs_get_option('noubakery_shop_enable_single_lightbox', ''),
			'not_found_posts' => esc_html__('No posts were found matching your keyworks.', 'noucake')
		) );

		if(class_exists('Woocommerce')){
			wp_localize_script( 'jquery', 'woocommerce_price_slider_params', array(
				'currency_format_num_decimals' => 0,
				'currency_format_symbol'       => get_woocommerce_currency_symbol(),
				'currency_format_decimal_sep'  => esc_attr( wc_get_price_decimal_separator() ),
				'currency_format_thousand_sep' => esc_attr( wc_get_price_thousand_separator() ),
				'currency_format'              => esc_attr( str_replace( array( '%1$s', '%2$s' ), array( '%s', '%v' ), get_woocommerce_price_format() ) ),
			) );
		}
	}

	private static function custom_style()
	{
		$custom_css = '';

		$display_price = noubakery_noubakery_cs_get_option('noubakery_price_enable'); 
		if(empty($display_price)){
			$custom_css .= '.ps-product__price, .td-ps-product__price *, .p-ps-product__price{display: none !important;}';
		}

		// Custom color
		$custom_css .= self::main_color();

		//Custom fonts
		$custom_css .= self::custom_fonts_css();

		$custom_css_field = noubakery_noubakery_cs_get_option('noubakery_custom_css');
		if(!empty($custom_css_field)){
			$custom_css .= $custom_css_field;
		}

		if( !empty($custom_css) ){
			wp_add_inline_style( 'noubakery-main', wp_strip_all_tags($custom_css) );
		}
		
	}

	public static function fonts_url()
	{
		$protocol 				= is_ssl() ? 'https' : 'http';
		$fonts_url 				= '';
		$fonts 					= array('Libre Baskerville:400,400i,700', 'Pacifico', 'Varela Round', 'Poppins');
		$body 	= noubakery_noubakery_cs_get_option('noubakery_font_body');
		$menu 	= noubakery_noubakery_cs_get_option('noubakery_font_menu');
		$heading = noubakery_noubakery_cs_get_option('noubakery_font_heading');
		$button = noubakery_noubakery_cs_get_option('noubakery_font_button');

		if(!empty($body['family'])){
			$fonts[] = $body['family'].':'.$body['variant'];
		}

		if(!empty($heading['family'])){
			$fonts[] = $heading['family'].':'.$heading['variant'];
		}

		if(!empty($menu['family'])){
			$fonts[] = $menu['family'].':'.$menu['variant'];
		}

		if(!empty($button['family'])){
			$fonts[] = $button['family'].':'.$button['variant'];
		}

		if ( !empty($fonts) ) {
			$fonts_url = add_query_arg( array(
				'family' => urlencode( implode( '|', $fonts ) ),
			), ''.$protocol.'://fonts.googleapis.com/css' );
		}

		return esc_url_raw( $fonts_url );
	}

	private static function main_color(){
		$main_color = noubakery_noubakery_cs_get_option('noubakery_main_color');
		$footer_color = noubakery_noubakery_cs_get_option('noubakery_footer_color');
		$footer_border_color = noubakery_noubakery_cs_get_option('noubakery_footer_boder_color');
		$price_color = noubakery_noubakery_cs_get_option('noubakery_price_color');
		$rating_color = noubakery_noubakery_cs_get_option('noubakery_rating_color');
		$sticky_bg_color = noubakery_noubakery_cs_get_option('noubakery_stickymenu_color');
		$btn_color = noubakery_noubakery_cs_get_option('noubakery_btn_color');
		

		$css = '';
		$classes_color = array(
			'.ps-product--list-light .ps-product__title a',
			'.ps-searchbox__remove i',
			'.ps-list--circle a:hover',
			'li.current-menu-item > a',
			'.ps-list--circle li.current a',
			'.ps-list--arrow li.current a',
			'#back2top i',
			'.ps-people__content .ps-people__position',
			'.ps-product--list-light .ps-product__title a',
			'.ps-product--sidebar .ps-product__title:hover',
			'.ps-product--detail .ps-product__quickview:hover',
			'.ps-product--detail .ps-product__meta p',
			'.ps-product--detail .ps-product__sharing a:hover',
			'.ps-widget--search button:hover',
			'.ps-widget--search input:focus ~ button',
			'.ps-widget--tags .ps-tags a:hover',
			'.ps-testimonial--2 p.author',
			'.ps-review-box header p a',
			'.ps-post .ps-post__title:hover',
			'.ps-post .ps-post__meta span a:hover',
			'.ps-post--sidebar .ps-post__content a:hover',
			'#modal--subscribe p span',
			'.ps-section__top',
			'.ps-searchbox__remove i',
			'.ps-searchbox__morelink:hover',
			'.ps-shop-switch li:hover a',
			'.ps-shop-switch li.active a',
			'.ps-contact__social a:hover',
			'.header--2 .menu > li > a:hover',
			'.ps-product--list .ps-product__title > a:hover',
			'.ps-new__header p a',
			'.ps-new:hover .ps-new__title',
			'.ps-list--line a:hover',
			'.sub-menu > li > a:hover',
			'.ps-breadcrumb .breadcrumb li',
			'.ps-product--list-light .ps-product__title a:hover',
			'.ps-searchbox__remove:hover i',
			'.ps-list--arrow a:hover',
			'#back2top:hover i',
			'.ps-product--detail .ps-product__meta p a:hover',
			'.ps-breadcrumb .breadcrumb a:hover',
			'.ps-product .ps-product__title:hover',
			'.ps-product .ps-product__category a:hover',
			'.ps-product--detail .tab-list li.active a',
			'.ps-review-box__content a',
			'.ps-cart-listing .ps-product--cart a:hover',
			'.ps-search-btn:hover i',
			'.menu > li > a:hover',
			'.ps-cart-item__title:hover'
		);

		$classes_bg = array(
			'.ps-searchbox__remove:hover',
			'.ps-list--circle a:hover .circle',
			'.ps-pagination .pagination li > span.current',
			'.ps-list--circle li.current .circle',
			'.ps-list--arrow a:hover .circle',
			'.ps-list--arrow li.current .circle',
			'#back2top:hover',
			'.ps-product .ps-product__action a:hover',
			'.ps-product--list-large .ps-product__action a:hover',
			'.ps-product--detail .ps-product__action a:hover',
			'.ps-product--detail .tab-list a:before',
			'.ps-pagination .pagination li > a:hover',
			'.ps-pagination .pagination li.active > a',
			'.ps-post .ps-post__action a.like:hover span',
			'.ps-post .ps-post__action a:hover',
			'.ps-blog-detail .ps-post__tags > a:hover',
			'.ps-section--home-testimonial .owl-slider .owl-dot.active',
			'.ps-widget--filter .ui-slider-range',
			'.ps-widget--filter .ui-slider-handle',
			'.owl-slider--best-seller .owl-prev:after',
			'.owl-slider--best-seller .owl-next:after',
			'.ps-cart__toggle span',
			'.ps-cart-listing__remove:hover',
			'.ps-cart-listing .ps-cart-listing__remove:hover',
			'.ps-searchbox__morelink:before',
			'.header .ps-dropdown > a:hover',
			'.header .ps-dropdown > a:active',
			'.header .ps-dropdown ul.dropdown-menu li a:hover',
			'.header--2 .ps-dropdown > a:hover',
			'.header--2 .ps-dropdown > a:active',
			'.ps-cart__toggle:hover',
			'.ps-list--line a:before',
			'.sub-menu > li > a:before',
			'.ps-post__content .page-links > span',
			'.ps-post__content .page-links > a:hover',
			'.ps-countdown .ps-product__process .progress-bar'
		);

		$classes_boder_color = array(
			'.ps-list--circle a:hover .circle',
			'.ps-pagination .pagination li > span.current',
			'li.current-menu-item > a',
			'.ps-list--arrow a:hover .circle',
			'.form-control:focus',
			'#back2top',
			'.ps-product--sidebar .ps-product__thumbnail:hover .ps-product__overlay',
			'.ps-widget--search .form-control:focus',
			'.ps-widget--tags .ps-tags a:hover',
			'.ps-post .ps-post__action a.like:hover',
			'.ps-post .ps-post__action a:hover',
			'.ps-blog-detail .ps-post__tags > a:hover',
			'.ps-cake:hover',
			'.ps-cake-list .owl-item.current .ps-cake',
			'.ps-product-special--2 .ps-cake-list .slick-current .ps-cake',
			'.menu > li > a:hover',
			'.ps-searchbox form input.form-control:focus',
			'.loader:before'
			);

		$hover_color = noubakery_noubakery_cs_get_option('noubakery_main_hover_color');
		if(!empty($hover_color)){
			$css .= 'a:focus, a:hover{color: '.esc_attr($hover_color).' !important;}';
		}

		if($main_color != '#ee7560'){

			if(!empty($classes_color)){$css .= join(', ', $classes_color).'{color: '.esc_attr($main_color).' !important;}';}

			if(!empty($classes_bg)){$css .= join(', ', $classes_bg).'{background-color: '.esc_attr($main_color).' !important;}';}

			if(!empty($classes_boder_color)){$css .= join(', ', $classes_boder_color).'{border-color: '.esc_attr($main_color).' !important;}';}

			if(!empty($classes_bg)){$css .= join(', ', $classes_bg).'{background-image: linear-gradient(to right,'.esc_attr($main_color).', '.esc_attr($main_color).') !important;}';}
		}

		if(!empty($footer_color) && $footer_color != '#f9f9f9'){
			$css .= ' .ps-footer {background-color: '.esc_attr($footer_color).' !important;}';
		}

		if(!empty($footer_border_color) && $footer_border_color != '#282c2f'){
			$css .= ' .ps-footer {border-bottom: 14px solid '.esc_attr($footer_border_color).' !important;}';
		}

		if(!empty($price_color) && $price_color != '#000000'){
			$css .= ' .ps-product__price .woocs_price_code {color: '.esc_attr($price_color).' !important;}';
		}

		if(!empty($rating_color) && $rating_color != '#ffb727'){
			$css .= ' .br-theme-fontawesome-stars .br-widget a.br-active:after, .br-theme-fontawesome-stars .br-widget a.br-selected:after{color: '.esc_attr($rating_color).' !important;}';
		}

		if(!empty($sticky_bg_color) && $sticky_bg_color != '#000000'){
			$css .= '.navigation--sticky .navigation {background-color: '.esc_attr($sticky_bg_color).' !important;}';
		}

		if(!empty($btn_color) && $btn_color != '#ee7560'){
			$css .= '.btn-black:hover, .header .ps-dropdown ul.dropdown-menu li:hover, .ps-btn, button.ps-btn {background-color: '.esc_attr($btn_color).';background-image: -webkit-linear-gradient(-360deg, '.esc_attr($btn_color).', '.esc_attr($btn_color).');background-image: linear-gradient(90deg, '.esc_attr($btn_color).', '.esc_attr($btn_color).');}';
		}

		return $css;
	}

	private static function custom_fonts_css(){
		$body_type 			= noubakery_noubakery_cs_get_option('noubakery_font_body_type');
		$menu_type 			= noubakery_noubakery_cs_get_option('noubakery_font_menu_type');
		$heading_type 		= noubakery_noubakery_cs_get_option('noubakery_font_heading_type');
		$button_type 		= noubakery_noubakery_cs_get_option('noubakery_font_button_type');
		$css = '';
		$body_font_class = 'body p, body .page-wrap span, body ul li, body ol li, body a, body .ps-product--detail .tab-pane p, body .ps-product--detail .ps-product__description p, body .ps-post .ps-post__content p, body .ps-product--list .ps-product__content p, body .ps-section__content p, body .ps-section--about .ps-section__content p';
		if($body_type == '1'){
			$body_google = noubakery_noubakery_cs_get_option('noubakery_font_body');
			if(!empty($body_google['family'])){
				$css .= $body_font_class.'{font-family: '.esc_html($body_google['family']).', sans-serif;}';
			}
		}else{
			$body_upload = noubakery_noubakery_cs_get_option('noubakery_font_body_upload');
			if(!empty($body_upload)){
				$css .= '
				@font-face{
					font-family:\'Bakery-body-fonts\';
					src: url(\''.esc_attr( $body_upload ).'?v=1.0\') format(\'truetype\');
					font-weight:normal;font-style:normal
				}
				'.$body_font_class.'{font-family: "Bakery-body-fonts",serif;}
				';
			}
		}

		if($menu_type == '1'){
			$menu_google = noubakery_noubakery_cs_get_option('noubakery_font_menu');
			if(!empty($menu_google['family'])){
				$css .= 'ul.menu li a{font-family: '.esc_html($menu_google['family']).', sans-serif !important;}';
			}
		}else{
			$menu_upload = noubakery_noubakery_cs_get_option('noubakery_font_menu_upload');
			if(!empty($menu_upload)){
				$css .= '
				@font-face{
					font-family:\'Bakery-menu-fonts\';
					src: url(\''.esc_attr( $menu_upload ).'?v=1.0\') format(\'truetype\');
					font-weight:normal;font-style:normal
				}
				ul.menu li a{font-family: "Bakery-menu-fonts",serif !important;}
				';
			}
		}

		if($heading_type == '1'){
			$heading_google = noubakery_noubakery_cs_get_option('noubakery_font_heading');
			if(!empty($heading_google['family'])){
				$css .= 'h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{font-family: '.esc_html($heading_google['family']).', sans-serif !important;}';
			}
		}else{
			$heading_upload = noubakery_noubakery_cs_get_option('noubakery_font_heading_upload');
			if(!empty($heading_upload)){
				$css .= '
				@font-face{
					font-family:\'Bakery-heading-fonts\';
					src: url(\''.esc_attr( $heading_upload ).'?v=1.0\') format(\'truetype\');
					font-weight:normal;font-style:normal
				}
				h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{font-family: "Bakery-heading-fonts",serif !important;}
				';
			}
		}

		if($button_type == '1'){
			$button_google 	= noubakery_noubakery_cs_get_option('noubakery_font_button');
			if(!empty($button_google['family'])){
				$css .= '.ps-btn, button.ps-btn{font-family: '.esc_html($button_google['family']).', sans-serif !important;}';
			}
		}else{
			$button_upload 	= noubakery_noubakery_cs_get_option('noubakery_font_button_upload');
			if(!empty($button_upload)){
				$css .= '
				@font-face{
					font-family:\'Bakery-button-fonts\';
					src: url(\''.esc_attr( $button_upload ).'?v=1.0\') format(\'truetype\');
					font-weight:normal;font-style:normal
				}
				.ps-btn, button.ps-btn{font-family: "Bakery-button-fonts",serif !important;}
				';
			}
		}
		
		return $css;
	}

}
?>