<?php
/**
* Template name: Wishlist for Woocommerce
*/
get_header();
?>
	<?php 
  /**
  * Hook noubakery heading
  * panel_heading()
  * title + breadcrumbs
  *
  * @since 1.0
  * @author nouthemes [nouthemes@gmail.com]
  */
  do_action('noubakery_heading');
  ?>
  	<div class="ps-section--cart pt-100 pb-100">
        <div class="container">
          <div class="ps-whish-list">
            <h3><?php esc_html_e('Wishlist', 'noucake');?></h3>

            <?php if(class_exists('Woocommerce')):?>
	            <div class="table-responsive">
	              <table class="table products">
	                <thead>
	                  <tr>
	                    <th><?php esc_html_e('Image', 'noucake');?></th>
	                    <th><?php esc_html_e('Name', 'noucake');?></th>
	                    <th><?php esc_html_e('Price', 'noucake');?></th>
	                    <th> </th>
	                    <th> </th>
	                  </tr>
	                </thead>
	                <tbody>
	                	<?php 
	                	$wishlist = Noubakery_Theme_Wishlist::get_products_in_wishlist();
	                	if(!empty($wishlist)):
	                		$args = array(
								'post_type' => 'product', 
								'post_status' => 'publish',
								'post__in' => $wishlist
							);
							$products = new WP_Query($args);
							if($products->have_posts()):
		                		while($products->have_posts()): $products->the_post();
		                			$product = wc_get_product(get_the_ID());
		                			if($product):
			                			$class = implode( ' ', array_filter( array(
								            'button',
								            'product_type_' . $product->get_type(),
								            ($product->get_type() == 'simple') ? 'remove-after-added' : '',
								            $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
								            $product->supports( 'ajax_add_to_cart' ) ? 'ajax_add_to_cart' : '',
								        ) ) );
				                		?>
						                <tr class="product">
						                    <td width="90">
						                    	<?php echo wp_kses_post($product->get_image('noubakery_100x107')); ?>
						                    </td>
						                    <td>
						                    	<a class="ps-product__title" href="<?php echo esc_url( $product->get_permalink() ); ?>"><?php echo esc_html($product->get_name()); ?></a>
						                    </td>
						                    <td class="td-ps-product__price">
						                    	<?php echo noubakery_esc($product->get_price_html()); ?>
						                    </td>
						                    <td>
						                    	<?php
										      	echo apply_filters( 'woocommerce_sidebar_add_to_cart_link',
													sprintf( '<a data-type="wishlist" rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="ps-btn ps-btn--xs product-item-cart %s">%s</a>',
														esc_url( $product->add_to_cart_url() ),
														esc_attr( isset( $quantity ) ? $quantity : 1 ),
														esc_attr( $product->get_id() ),
														esc_attr( $product->get_sku() ),
														esc_attr( isset( $class ) ? $class : 'button' ),
														esc_html( $product->add_to_cart_text() )
													),
												$product );
										      	?>
						                    </td>
						                    <td>
						                      <div class="ps-cart-listing__remove" data-url="<?php echo esc_url( Noubakery_Theme_Wishlist::get_remove_url( get_the_ID() ) );?>"></div>
						                    </td>
						                </tr>
						            <?php endif;?>
						        <?php endwhile;?>
						    <?php endif;wp_reset_postdata();?>
			            <?php else:?>
			            	<tr><td colspan="5"><?php esc_html_e('Products not found.', 'noucake');?></td></tr>
			            <?php endif;?>
	                  
	                </tbody>
	              </table>
	            </div>
	            <div class="text-right">
	            	<a class="ps-btn mr-5 mb-10 btn-black" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
						<?php esc_html_e( 'Return to shop', 'noucake' ) ?>
					</a>
	            	<a href="<?php echo esc_url(get_permalink(get_option('woocommerce_cart_page_id')));?>" class="ps-btn btn-black">
						<?php esc_html_e( 'Go to cart', 'noucake' ); ?>
					</a>
	            </div>
	        <?php else:?>
	        	<div class="alert alert-danger" role="alert">
					<?php esc_html_e( 'Please, install plugin Woocommerce', 'noucake' ) ?>
				</div>
	        <?php endif;?>
          </div>
        </div>
    </div>
<?php get_footer();?>