<?php
$enable_thumbnail = false;
$setting_enable_thumbnail = noubakery_noubakery_cs_get_option('noubakery_single_thumbnail');
if(!empty($setting_enable_thumbnail)){
  $enable_thumbnail = true;
}

$meta = get_post_meta(get_the_ID(), 'noubakery_layout_settings', true);
if(isset($meta['single_thumbnail']) && $meta['single_thumbnail'] == 1){
  $enable_thumbnail = true;
}

if(isset($meta['single_thumbnail']) && $meta['single_thumbnail'] == 2){
  $enable_thumbnail = false;
}
$post_format = '';
if(has_post_format()){
  $post_format = '';
}

?>
<div class="ps-post">

  <?php if($enable_thumbnail):?>
    <div class="ps-post__thumbnail">
      <?php noubakery_post_thumbnail(get_the_ID(), 'noubakery_750x400');?>
    </div>
  <?php endif;?>
  
  <div class="ps-post__header">
    <h2 class="ps-post__title"><?php the_title();?></h2>
    <div class="ps-post__meta">
      <span><i class="fa fa-calendar-check-o"></i><?php the_date(get_option('date_format'));?></span>
      <span>
      <a href="<?php echo esc_url(the_permalink()); ?>#comments">
        <i class="fa fa-comment-o"></i><?php printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'noucake' ), number_format_i18n( get_comments_number() ) );?>
      </a>
      </span>
      
      <?php 
        $categories_list = get_the_category_list( __( ', ', 'noucake' ) );
        if ( $categories_list ) {
          echo '<span class="tags"><i class="fa fa-tags"></i>' . wp_kses_post( $categories_list ) . '</span>';
        }
      ?>
    </div>
  </div>
  <div class="ps-post__content">
    <?php the_content();?>
    <?php 
      wp_link_pages( array(
        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'noucake' ),
        'after'       => '</div>',
        'link_before' => '<span class="page-number">',
        'link_after'  => '</span>',
      ) );
    ?>  
  </div>
  <footer class="ps-post__footer">
    <div class="row">
          <?php 
          $display_tags = noubakery_noubakery_cs_get_option('noubakery_single_tags'); 
          if(!empty($display_tags)){
          ?>
          <div class="col-lg-4 col-md-12 col-sm-12 col-xs-12 ">
            <?php the_tags('<div class="ps-post__tags"><i class="fa fa-tags"></i>', '', '</div>');?>
          </div>
          <?php }?>

          <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 ">
            <?php do_action('noubakery_share');?>
          </div>
    </div>
  </footer>
</div>

<?php if(!empty($meta['author_info'])):?>
<div class="ps-author-box">
  <div class="ps-author-box__thumbnail">
    <?php echo get_avatar( get_the_author_meta( 'user_email' ), '80' );?>
  </div>
  <div class="ps-author-box__content">
    <h4><?php echo get_the_author(); ?></h4>
    <p class="postion"><?php echo esc_html( get_the_author_meta( 'position' ) ); ?></p>
    <p><?php the_author_meta( 'description' ); ?></p>
  </div>
</div>
<?php endif;?>

<!-- Comment-->
<?php
  if ( comments_open() || get_comments_number() ) :
    comments_template();
  endif;
?>