<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     8.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$shop_settings = noubakery_shop_style();
$class_content = (is_active_sidebar('shop-sidebar') && $shop_settings['sidebar'] != 'hide') ? 'col-lg-9 col-md-9' : 'col-md-12';
get_header(); ?>

	<?php 
	  /**
	  * Hook Bakery heading
	  * panel_heading()
	  * title + breadcrumbs
	  *
	  * @since 1.0
	  * @author nouthemes [nouthemes@gmail.com]
	  */
	  do_action('noubakery_heading');
	?>
	<div class="ps-section--page <?php if($shop_settings['sidebar'] == 'right'){echo 'with-sidebar-right';}?> <?php if($shop_settings['sidebar'] == 'hide'){echo 'no-sidebar';}?>">
        <div class="container">
          	<div class="row">
          		<div class="<?php echo esc_attr($class_content);?> col-sm-12 col-xs-12 <?php if($shop_settings['sidebar'] == 'left'){echo 'col-lg-push-3 col-md-push-3';}?>">
          			
          			<?php if($shop_settings['view'] == 'gird'):?>
          			<div class="ps-shop-grid pt-80">
          			<?php else:?>	
          			<div class="ps-shop-listing pt-80 pb-40">
          			<?php endif;?>
          				
          				<?php 
						  /**
						  * Hook Bakery banner
						  * Banner
						  *
						  * @since 1.0
						  * @author nouthemes [nouthemes@gmail.com]
						  */
						  do_action('noubakery_shop_banner');
						?>

						<div class="ps-shop-filter <?php echo empty($shop_settings['banner']) ? 'ps-shop-nobanner' : '';?>">
							<div class="row">
							<?php
								/**
								 * woocommerce_before_shop_loop hook.
								 *
								 * @hooked woocommerce_result_count - 20
								 * @hooked woocommerce_catalog_ordering - 30
								 */
								do_action( 'woocommerce_before_shop_loop' );
							?>
							</div>
						</div>

						<?php if ( have_posts() ) : ?>
							<?php woocommerce_product_loop_start(); ?>

								<?php woocommerce_product_subcategories(); ?>
								
								<?php while ( have_posts() ) : the_post(); ?>

									<?php wc_get_template_part( 'content', 'product' ); ?>

								<?php endwhile; // end of the loop. ?>

							<?php woocommerce_product_loop_end(); ?>

							<?php
								/**
								 * woocommerce_after_shop_loop hook.
								 *
								 * @hooked woocommerce_pagination - 10
								 */
								do_action( 'woocommerce_after_shop_loop' );
							?>
						<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

							<?php wc_get_template( 'loop/no-products-found.php' ); ?>

						<?php endif; ?>

          			</div>

          		</div>
          		<?php
					/**
					 * woocommerce_sidebar hook.
					 *
					 * @hooked woocommerce_get_sidebar - 10
					 */
					do_action( 'woocommerce_sidebar' );
				?>
          	</div>
        </div>
    </div>

<?php get_footer(); ?>
