<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 7.0.1
 */

defined( 'ABSPATH' ) || exit;

if ( ! wc_coupons_enabled() ) { // @codingStandardsIgnoreLine.
	return;
}

if ( empty( WC()->cart->applied_coupons ) ) {
	$info_message = apply_filters( 'woocommerce_checkout_coupon_message', __( 'Have a coupon?', 'noucake' ) . ' <a href="#" class="showcoupon">' . __( 'Click here to enter your code', 'noucake' ) . '</a>' );
	wc_print_notice( $info_message, 'notice' );
}
?>

<form class="ps-checkout checkout_coupon" method="post" style="display:none">
	<div class="row">
        <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12 ">
        	<div class="form-group">
                <input type="text" name="coupon_code" class="form-control input-text" placeholder="<?php esc_attr_e( 'Coupon code', 'noucake' ); ?>" id="coupon_code" value="" />
            </div>
			<div class="form-group">
				<input type="submit" class="ps-btn ps-btn--sm button" name="apply_coupon" value="<?php esc_attr_e( 'Apply coupon', 'noucake' ); ?>" />
			</div>
		
		</div>
	</div>

	<div class="clear"></div>
</form>
