<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 9.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;

// Check if the product is a valid WooCommerce product and ensure its visibility before proceeding.
if ( ! is_a( $product, WC_Product::class ) || ! $product->is_visible() ) {
	return;
}

$shop_settings = noubakery_shop_style();
if($shop_settings['view'] == 'gird'){
?>
	<div <?php post_class('col-lg-'.intval(12/$shop_settings['col']).' col-md-'.intval(12/$shop_settings['col']).' col-sm-6 col-xs-12'); ?>>
		<?php get_template_part('woocommerce/content-product-grid');?>
	</div>
<?php
}else{
	get_template_part('woocommerce/content-product-list');
}
?>
