<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
$single_settings = noubakery_single_product_settings();
?>

<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="ps-section pt-80 pb-80">
	    <div class="container">
	    	<?php
				/**
				 * woocommerce_before_single_product hook.
				 *
				 * @hooked wc_print_notices - 10
				 */
				 do_action( 'woocommerce_before_single_product' );

				 if ( post_password_required() ) {
				 	echo get_the_password_form();
				 	return;
				 }
			?>
	    	<div class="ps-product--detail">
	    		<div class="row">
	    			<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12 ">
	    				<div class="ps-product__thumbnail">
	    					<?php
								/**
								 * woocommerce_before_single_product_summary hook.
								 *
								 * @hooked woocommerce_show_product_sale_flash - 10
								 * @hooked woocommerce_show_product_images - 20
								 */
								do_action( 'woocommerce_before_single_product_summary' );
							?>
	    				</div>
	    			</div>
	    			<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12 ">
	    				<header>
	    					<?php
								/**
								 * woocommerce_single_product_summary hook.
								 */
								do_action( 'woocommerce_single_product_summary' );
							?>
	    					<?php 
	    					woocommerce_template_single_title();
	    					woocommerce_template_single_rating();
	    					woocommerce_template_single_price();
	    					woocommerce_template_single_excerpt();
	    					woocommerce_template_single_meta();
	    					if($single_settings['layout'] != '2'){woocommerce_template_single_add_to_cart();}
	    					?>
	    				</header>
	    			</div>
	    		</div>
	    		<?php if($single_settings['layout'] != '2'){woocommerce_output_product_data_tabs();}?>
	    	</div>
	    </div>
	</div>
	<?php if($single_settings['layout'] == '2'){wc_get_template_part( 'offer', 'form' );}?>
	<?php
		/**
		 * woocommerce_after_single_product_summary hook.
		 *
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>
