<?php
/**
 * Product quantity inputs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/quantity-input.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     9.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( $max_value && $min_value === $max_value ) {
	?>
	<div class="quantity hidden">
		<input type="hidden" id="<?php echo esc_attr( $input_id ); ?>" class="qty" name="<?php echo esc_attr( $input_name ); ?>" value="<?php echo esc_attr( $min_value ); ?>" />
	</div>
	<?php
} else {
	$shop_settings = noubakery_shop_style();
	?>
	<?php if(!empty($shop_settings['add_to_cart'])):?>
	<div class="form-group--number quantity">
		<?php do_action( 'woocommerce_before_quantity_input_field' ); ?>
		<button type="button" class="minus"><span>-</span></button>
		<input type="number" step="1" min="1" <?php if($max_value):?>max="<?php echo esc_attr( $max_value ); ?>"<?php endif;?>
		name="<?php echo esc_attr( $input_name ); ?>" value="<?php echo esc_attr( $input_value ); ?>" class="form-control input-text qty text"
		<?php if ( in_array( $type, array( 'text', 'search', 'tel', 'url', 'email', 'password' ), true ) ) : ?>
        			size="4"
        		<?php endif; ?>
		/>
		<button type="button" class="plus"><span>+</span></button>
		<?php do_action( 'woocommerce_after_quantity_input_field' ); ?>
	</div>
	<?php endif;?>
	<?php 
	if(is_singular('product')){
		global $post, $product;
	?>
		<ul class="ps-product__action product">
			<div class="hidden">
				<?php echo noubakery_post_thumbnail($post->ID);?>
				<a class="ps-product__title" href="<?php the_permalink();?>"><?php the_title();?></a>
			</div>
			<?php if(!empty($shop_settings['wishlist'])):?>
			<li><a class="product-wishlist" data-product_id="<?php echo esc_attr($product->get_id());?>" href="#" data-tooltip="<?php esc_attr_e('Add to wishlist', 'noucake');?>"><i class="ps-icon--heart"></i></a></li>
			<?php endif;?>
			<?php if(!empty($shop_settings['compare'])):?>
			<li><a class="product-compare" data-product_id="<?php echo esc_attr($product->get_id());?>" href="#" data-tooltip="<?php esc_attr_e('Compare', 'noucake');?>"><i class="ps-icon--reload"></i></a></li>
			<?php endif;?>
		</ul>
		<?php }?>
<?php }?>