<?php
/**
 * Loop Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' )
	return;
$average      = $product->get_average_rating();
?>
<select class="ps-rating rating-<?php echo esc_attr($average);?>" >
	<option value="0" <?php selected(intval($average), '0');?>>0</option>
    <option value="1" <?php selected(intval($average), '1');?>>1</option>
    <option value="2" <?php selected(intval($average), '2');?>>2</option>
    <option value="3" <?php selected(intval($average), '3');?>>3</option>
    <option value="4" <?php selected(intval($average), '4');?>>4</option>
    <option value="5" <?php selected(intval($average), '5');?>>5</option>
</select>
