<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 9.7.0
 */

use Automattic\WooCommerce\Enums\ProductType;

defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'wc_get_gallery_image_html' ) ) {
	return;
}

global $product;

$columns           = apply_filters( 'woocommerce_product_thumbnails_columns', 4 );
$post_thumbnail_id = $product->get_image_id();
$wrapper_classes   = apply_filters(
	'woocommerce_single_product_image_gallery_classes',
	array(
		'woocommerce-product-gallery',
		'woocommerce-product-gallery--' . ( $post_thumbnail_id ? 'with-images' : 'without-images' ),
		'woocommerce-product-gallery--columns-' . absint( $columns ),
		'images',
	)
);

$all_images = noubakery_product_images( $product->get_id() );
?>
<div class="owl-slider primary" data-owl-auto="true" data-owl-loop="false" data-owl-speed="10000" data-owl-gap="0" data-owl-nav="false" data-owl-dots="false" data-owl-animate-in="" data-owl-animate-out="" data-owl-item="1" data-owl-item-xs="1" data-owl-item-sm="1" data-owl-item-md="1" data-owl-item-lg="1" data-owl-nav-left="&lt;i class=&quot;fa fa-angle-left&quot;&gt;&lt;/i&gt;" data-owl-nav-right="&lt;i class=&quot;fa fa-angle-right&quot;&gt;&lt;/i&gt;">
	<?php
	if ( count( $all_images ) > 0 ) {
		$html = '';
		foreach ( $all_images as $key => $id ) {
			$images   = wp_get_attachment_image_src( $id, 'noubakery_458x493' );
			$full     = wp_get_attachment_image_src( $id, 'full' );
			$lightbox = noubakery_noubakery_cs_get_option( 'noubakery_shop_enable_single_lightbox' );
			if ( $lightbox != '1' ) {
				$full[0] = 'javascript:void(0)';
			}
			if ( $images ) {
				$html .= '<div id="owl-' . esc_attr( $id ) . '" data-position="' . esc_attr( $key - 1 ) . '" data-id="' . esc_attr( $id ) . '" class="ps-product__image">';
				$html .= '<a href="' . esc_attr( $full[0] ) . '">';
				$html .= '<img src="' . esc_attr( $images[0] ) . '" alt="attachment-' . esc_attr( $images[0] ) . '" />';
				$html .= '</a></div>';
			}
		}
		echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $html, $post_thumbnail_id );
	} else {
		echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<div class="ps-product__image"><img src="%s" alt="%s" class="gallery-image"/></div>', wc_placeholder_img_src(), __( 'Placeholder', 'noucake' ) ), $product->get_id() );
	}
	?>
</div>
<?php do_action( 'woocommerce_product_thumbnails' ); ?>
