<?php
/**
 * Single Product Sale Flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;
$label = get_post_meta($post->ID, '_product_label', true);

switch ($label) {
 	case 'new':
 		echo apply_filters( 'woocommerce_sale_flash', '<div class="ps-badge"><span>'.apply_filters('woocommerce_sale_flash_new', esc_html__('New', 'noucake')).'</span></div>');
 		break;
 	case 'hot':
 		echo apply_filters( 'woocommerce_sale_flash', '<div class="ps-badge"><span>'.apply_filters('woocommerce_sale_flash_hot', esc_html__('Hot', 'noucake')).'</span></div>');
 		break;
 	default:
 		if ( $product->is_on_sale() && $product->get_type() == 'simple' ){
 			$percentage = round( ( ( $product->get_regular_price() - $product->get_sale_price() ) / $product->get_regular_price() ) * 100 );
 			echo apply_filters( 'woocommerce_sale_flash', '<div class="ps-badge"><span>' . esc_html($percentage) . '%</span></div>', $post, $product );
 		} 
 		break;
} ?>

