<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 9.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

		<div class="ps-product__info">
            <ul class="tab-list" role="tablist">
				<?php $i = 1;foreach ( $tabs as $key => $tab ) : ?>
					<li class="<?php echo esc_attr( $key ); ?>_tab <?php echo esc_attr(($i == 1) ? 'active' : '');?>">
						<a href="#tab_0<?php echo esc_attr( $i ); ?>" aria-controls="tab_0<?php echo esc_attr( $i ); ?>" role="tab" data-toggle="tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
					</li>
				<?php $i++;endforeach; ?>
			</ul>
		</div>

		<div class="tab-content mb-60">
			<?php $ii = 1;foreach ( $tabs as $key => $tab ) : ?>
				<div class="tab-pane <?php echo esc_attr(($ii == 1) ? 'active' : '');?>" role="tabpanel" id="tab_0<?php echo esc_attr( $ii ); ?>">
					<?php call_user_func( $tab['callback'], $key, $tab ); ?>
				</div>
			<?php $ii++;endforeach; ?>
			<?php do_action( 'woocommerce_product_after_tabs' ); ?>
		</div>

<?php endif; ?>
